//    case 116:

void ProcessBeerCloneBrau()
{
  // Управление мешалкой;
  if (StateMachine>0 && StateMachine<100)
  {
    if (time1==0 || temps[TEMP_TERMOSTAT]>=880)
    {  
        // Насос включаем только 
        if (KlOpen[KLP_HLD]==0 && temps[TEMP_TERMOSTAT]<880)
        {
            KlOpen[KLP_HLD]=40;
            KlClose[KLP_HLD]=0;
            KlOpen[KLP_GLV_HVS]=40;
            KlClose[KLP_GLV_HVS]=0;
            time1=(int) tempP[0] *60; // Взводим насос на десять минут работы 
            timeMIXER=(int) tempP[0]*60;

        }
        else
        {
            KlOpen[KLP_HLD]=0;
            KlClose[KLP_HLD]=40;
            KlOpen[KLP_GLV_HVS]=0;
            KlClose[KLP_GLV_HVS]=40;
            time1=(unsigned int) timeP[0]*60; // Взводим насос на две минуты простоя 
            timeMIXER=0;
        }
    }
  } 
  
   
  switch  (StateMachine)
  {
  case 0: // 
    // Процесс не запущен
    time1=0;
    break;
  case 1: // Старт процесса
    KlTek=1; 
    time1=0;
    PrepareProcess();
    flNoAlarmLowPower=1; // Предупреждение о низкой мощности отключим, здесь оно не важно
    StateMachine=2;
    
  case 2: // Температура Больше необходиомй
    ProcessPIDTemp((int)tempP[KlTek] * 10,temps[TEMP_TERMOSTAT]);
    UstPower=(long)Power*KtT/1000;
    // Мощность ограничена мощностью варки зерна
    if (UstPower>PowerVarkaZerno) UstPower=PowerVarkaZerno;
    // Если нужная температура меньше 100 градусов, то проверяем пока она не превысит заданную
    // Если нужная температура более 100 градусов, тогда пропускаем этот режим и считаем что началась варка. 
    if (temps[TEMP_TERMOSTAT]<(int)tempP[KlTek] * 10 && tempP[KlTek]<=100) break;
    // Если темперетура больше либо равно 110, то закипание определяется по второму датчику температуры.
  //  if (temps[TEMP_DEFL]<TempDeflBegDistil && ds1820_devices>1 || (TempDeflBegDistil<0 &&  temps[TEMP_DEFL]<-TempDeflBegDistil) && tempP[KlTek]>=110 )  break;
    
    StateMachine=3;
    time2=(int)timeP[KlTek]*60;
  case 3:
    if (tempP[KlTek]>100) 
    { UstPower=PowerVarkaZerno;
      // Если температура вверху заторника меньше заданной и температура варки больше 110, тогда считаем, что еще не закипело.
      // Проверка на закипание проводится только один раз в начале кипения, то есть если предыдущий этап не был кипением.
      if (temps[TEMP_DEFL]<TempDeflBegDistil && ds1820_devices>1 || (TempDeflBegDistil<0 &&  temps[TEMP_DEFL]<-TempDeflBegDistil) && tempP[KlTek]>=110)  time2=(int)timeP[KlTek]*60;
      
    }
    else
    {   if (temps[TEMP_TERMOSTAT]<(int)tempP[KlTek] * 10) 
          {
              ProcessPIDTemp((int)tempP[KlTek] * 10,temps[TEMP_TERMOSTAT]);
              UstPower=(long)Power*KtT/1000;
              if (UstPower>PowerVarkaZerno) UstPower=PowerVarkaZerno;
          }
        else
          UstPower=0;
    }
    
    if (timeP[KlTek]==0) 
      my_beep(2*BEEP_LONG); // Если время ожидания равно нулю, тогда пищим, ожидая действия пользователя
    else
    {
      if (timeP[KlTek]==255) timeP[KlTek]=0; 
      if (time2==0) 
      {
          KlTek++; // Если все паузы выполнены, то переходим к окончанию процесса, иначе к следующей паузе.
          if (KlTek>CntPause) StateMachine=100;
                         else StateMachine=2;
          if (BeepStateProcess) my_beep(BEEP_LONG);
      }
    }
    break;
  case 4:
    // Это системное состояние к нему только через debug перейти можно, просто ручной переход на следующую паузу.
      KlTek++; // Если все паузы выполнены, то переходим к окончанию процесса, иначе к следующей паузе.
      if (KlTek>CntPause) StateMachine=100;
                     else StateMachine=2;
      if (BeepStateProcess) my_beep(BEEP_LONG);
    break;
  case 100:// Конечное состояние автомата
    if (FlToGSM && lastSMSState!=StateMachine) StateToSMS();
    if (BeepEndProcess) my_beep(BEEP_LONG);
    digitalWrite(PIN_ALL_OFF,ALL_OFF_HIGH);
    CloseAllKLP();
    flAllOff=1;
    UstPower=0; // Убираем мощность с ТЭНов
    break;
  }
}
